/*
 * @file Member ID Definition of Group WEBUI.
 *
 * Moderator: SerenaWang
 * Group ID: 0x00200000
 */

#ifndef _CSID_WEBUI_H
#define _CSID_WEBUI_H

#include "csid_gid.h"

#define _CFG_WEBUI(x)         (CSID_GIDC_WEBUI|(x))
#define _STA_WEBUI(x)         (CSID_GIDS_WEBUI|(x))

/* Configuration Items */

//==========================================================
// 0x0000~0x0FFF: Reserved.
//==========================================================

#define CSID_C_WEBUI_WIZARD_EXECED      _CFG_WEBUI(0x1001)	//T=u8, D=0, 1:yes 0:no
#define CSID_C_WEBUI_WIZARD_TMP_LANIP      _CFG_WEBUI(0x1002)	//T=ipv4, D={192.168.123.254}, lan ip
#define CSID_C_WEBUI_UI_FLAG               _CFG_WEBUI(0x1100)	//T=u8, D=0, for UI save flags
#define CSID_C_WEBUI_UI_SETTING            _CFG_WEBUI(0x1200)	//T=str, D="", for UI save settings
/* Status Items */

#define CSID_S_WEBUI_CONFIRM			_STA_WEBUI(0x0010) //T=u8,  D=0
#define CSID_S_WEBUI_LEAVE				_STA_WEBUI(0x0020) //T=u8,  D=0
#define CSID_S_WEBUI_CONFIRM_FAIL		_STA_WEBUI(0x0030) //T=u8,  D=0
#define CSID_S_WEBUI_CONFIRM_FAIL_INDEX _STA_WEBUI(0x0040) //T=u8,  D=0
#define	CSID_S_WEBUI_CONFIRM_FAIL_NAME	_STA_WEBUI(0x0050) //T=str, D="", Confirm fail dev.
#define	CSID_S_WEBUI_ODM_STRINGS       	_STA_WEBUI(0x0100) //T=str, D="", ODM Strings

#endif //ifndef _CSID_WEBUI_H
